%define name	ksubtile
%define version	1.3
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SRT subtitles editor
Source0:	http://ovh.dl.sourceforge.net/sourceforge/%name/%{name}-%{version}.tar.bz2
Patch0:		ksubtile-1.3-fix-desktop.patch
URL:		http://ksubtile.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdelibs-devel
Requires:	mplayer

%description
KSubtile is a GUI for KDE to create or edit SRT subtitles.
Preview can be done with mplayer.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor='' --delete-original \
	--dir %buildroot%_datadir/applications \
	%buildroot%_datadir/applnk/Editors/%{name}.desktop

install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png \
	$RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#remove unneeded files
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor
#rm -rf $RPM_BUILD_ROOT/usr/src
#rm -rf $RPM_BUILD_ROOT/usr/lib/debug

%find_lang %{name} --with-html

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mimelnk/application/srt.desktop
%{_datadir}/apps/%{name}/%{name}ui.rc
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2009.0
+ Revision: 247970
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 1.3-1mdv2008.1
+ Revision: 157998
- New version 1.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ksubtile


* Thu Jun 29 2006 Guillaume Bedot <littletux@mandriva.org> 1.2-2mdv2007.0
- standard %%mkrel
- xdg menu

* Mon Nov 28 2005 Guillaume Bedot <littletux@mandriva.org> 1.2-1mdk
- New release

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.1-2mdk
- Fix BuildRequires

* Fri Oct 14 2005 Guillaume Bedot <littletux@mandriva.org> 1.1-1mdk
- First Mandriva package of ksubtile for contribs

